Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts
Class PortletServletConfigImpl

    java.lang.Object
      org.apache.portals.bridges.struts.PortletServletConfigImpl

All Implemented Interfaces:
  javax.servlet.ServletConfig

class PortletServletConfigImpl
extends Object
implements javax.servlet.ServletConfig

PortletServletConfigImpl

Version:
  $Id: PortletServletConfigImpl.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma

Field Summary
`private javax.servlet.ServletConfig` | `config`
`private javax.servlet.ServletContext` | `context`

Constructor Summary
`PortletServletConfigImpl(javax.servlet.ServletConfig config)`

Method Summary
`String` | `getInitParameter(String arg0)`
`Enumeration` | `getInitParameterNames()`
`javax.servlet.ServletContext` | `getServletContext()`
`String` | `getServletName()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### config

    private javax.servlet.ServletConfig config

### context

    private javax.servlet.ServletContext context

Constructor Detail

### PortletServletConfigImpl

    public PortletServletConfigImpl(javax.servlet.ServletConfig config)

Method Detail

### getInitParameter

    public String getInitParameter(String arg0)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletConfig`

### getInitParameterNames

    public Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletConfig`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `javax.servlet.ServletConfig`

### getServletName

    public String getServletName()

  Specified by:
    `getServletName` in interface `javax.servlet.ServletConfig`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.